## visad.data
Class DataVisitor

    java.lang.Object
      visad.data.DataVisitor

public abstract class DataVisitor
extends Object

Abstract class for visiting a VisAD data object. The derived, concrete subclasses are data-form dependent. The default action upon visiting a VisAD data object is to do nothing and tell the caller to continue.

Constructor Summary
`DataVisitor()`

Method Summary
`boolean` `visit(FlatField field)` Visit a VisAD FlatField.
`boolean` `visit(TupleIface tuple)` Visit a VisAD Tuple.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataVisitor

    public DataVisitor()

Method Detail

### visit

    public boolean visit(TupleIface tuple)
                  throws BadFormException,
                         VisADException,
                         RemoteException

  Visit a VisAD Tuple.

  Parameters:
    `tuple` - The VisAD Tuple being visited.
  Throws:
    `BadFormException` - The Tuple doesn't fit the data model used by the visitor.
    `VisADException` - Core VisAD problem (probably couldn't create a VisAD object).
    `RemoteException`
  See Also:
    `DataNode`

### visit

    public boolean visit(FlatField field)
                  throws BadFormException,
                         VisADException,
                         RemoteException

  Visit a VisAD FlatField.

  Parameters:
    `field` - The VisAD FlatField being visited.
  Throws:
    `BadFormException` - The Tuple doesn't fit the data model used by the visitor.
    `VisADException` - Core VisAD problem (probably couldn't create a VisAD object).
    `RemoteException`
  See Also:
    `DataNode`